const path = require('path');
const { merge } = require('webpack-merge');
const webpackProdConfig = require('./webpack.prod.js');

// the display name of the war
const app = 'deeds-tenant-provisioning';

const serverPath = "/deeds-server";

let config = merge(webpackProdConfig, {
  output: {
    path: path.resolve(`${serverPath}/webapps/${app}/`)
  },
  mode: 'development',
  devtool: 'inline-source-map'
});

module.exports = config;
